Hello,
I am attempting to install a new galaxy-dist and am running into the 
following error. I first tried it by using a mysql database but this error 
also occurs when I use the default SQLite database.
Any help would be much appreciated.
Thanks in advance,
Liisa

[galaxy-dev]$ ./run.sh
Some eggs are out of date, attempting to fetch...
Fetched 
http://eggs.galaxyproject.org/pysqlite/pysqlite-2.5.6_3.6.17_static-py2.6-linux-x86_64-ucs4.egg
Fetch successful.
galaxy-dev/eggs/pysam-0.4.2_kanwei_b10f6e722e9a-py2.6-linux-x86_64-ucs4.egg/pysam/__init__.py:1:
 
RuntimeWarning: __builtin__.file size changed, may indicate binary 
incompatibility
  from csamtools import *
python path is: galaxy-dev/eggs/numpy-1.6.0-py2.6-linux-x86_64-ucs4.egg, 
galaxy-dev/eggs/pysam-0.4.2_kanwei_b10f6e722e9a-py2.6-linux-x86_64-ucs4.egg, 
galaxy-dev/eggs/boto-2.5.2-py2.6.egg, 
galaxy-dev/eggs/mercurial-2.2.3-py2.6-linux-x86_64-ucs4.egg, 
galaxy-dev/eggs/Fabric-1.4.2-py2.6.egg, 
galaxy-dev/eggs/ssh-1.7.14-py2.6.egg, 
galaxy-dev/eggs/Whoosh-0.3.18-py2.6.egg, 
galaxy-dev/eggs/pycrypto-2.5-py2.6-linux-x86_64-ucs4.egg, 
galaxy-dev/eggs/python_lzo-1.08_2.03_static-py2.6-linux-x86_64-ucs4.egg, 
galaxy-dev/eggs/bx_python-0.7.1_7b95ff194725-py2.6-linux-x86_64-ucs4.egg, 
galaxy-dev/eggs/amqplib-0.6.1-py2.6.egg, 
galaxy-dev/eggs/pexpect-2.4-py2.6.egg, 
galaxy-dev/eggs/SQLAlchemy-0.5.6_dev_r6498-py2.6.egg, 
galaxy-dev/eggs/Babel-0.9.4-py2.6.egg, 
galaxy-dev/eggs/MarkupSafe-0.12-py2.6-linux-x86_64-ucs4.egg, 
galaxy-dev/eggs/Mako-0.4.1-py2.6.egg, 
galaxy-dev/eggs/WebHelpers-0.2-py2.6.egg, 
galaxy-dev/eggs/simplejson-2.1.1-py2.6-linux-x86_64-ucs4.egg, 
galaxy-dev/eggs/wchartype-0.1-py2.6.egg, 
galaxy-dev/eggs/elementtree-1.2.6_20050316-py2.6.egg, 
galaxy-dev/eggs/docutils-0.7-py2.6.egg, 
galaxy-dev/eggs/WebOb-0.8.5-py2.6.egg, 
galaxy-dev/eggs/Routes-1.12.3-py2.6.egg, 
galaxy-dev/eggs/Cheetah-2.2.2-py2.6-linux-x86_64-ucs4.egg, 
galaxy-dev/eggs/PasteDeploy-1.3.3-py2.6.egg, 
galaxy-dev/eggs/PasteScript-1.7.3-py2.6.egg, 
galaxy-dev/eggs/Paste-1.6-py2.6.egg, galaxy-dev/lib, 
/usr/lib64/python2.6/site-packages/distribute-0.6.12-py2.6.egg, 
/usr/lib64/python2.6/site-packages/blist-1.3.4-py2.6-linux-x86_64.egg, 
/usr/lib/python2.6/site-packages/nose-1.0.0-py2.6.egg, 
/usr/lib/python2.6/site-packages/argparse-1.2.1-py2.6.egg, 
/usr/lib/python2.6/site-packages/pip-1.2.1-py2.6.egg, 
/usr/lib/python2.6/site-packages, /usr/lib64/python2.6/xml/etree, 
/usr/lib64/python26.zip, /usr/lib64/python2.6, 
/usr/lib64/python2.6/plat-linux2, /usr/lib64/python2.6/lib-tk, 
/usr/lib64/python2.6/lib-old, /usr/lib64/python2.6/lib-dynload, 
/usr/lib64/python2.6/site-packages/PIL, 
/usr/lib/python2.6/site-packages/setuptools-0.6c11-py2.6.egg-info, 
/usr/lib/python2.6/site-packages/setuptools-0.6c11-py2.6.egg-info, 
/usr/lib64/python2.6/site-packages
galaxy.tool_shed.tool_shed_registry DEBUG 2013-01-21 13:52:06,034 Loading 
references to tool sheds from tool_sheds_conf.xml
galaxy.tool_shed.tool_shed_registry DEBUG 2013-01-21 13:52:06,034 Loaded 
reference to tool shed: Galaxy main tool shed
galaxy.tool_shed.tool_shed_registry DEBUG 2013-01-21 13:52:06,034 Loaded 
reference to tool shed: Galaxy test tool shed
galaxy.model.migrate.check DEBUG 2013-01-21 13:52:06,112 pysqlite>=2 egg 
successfully loaded for sqlite dialect
Traceback (most recent call last):
  File "galaxy-dev/lib/galaxy/webapps/galaxy/buildapp.py", line 36, in 
app_factory
    app = UniverseApplication( global_conf = global_conf, **kwargs )
  File "galaxy-dev/lib/galaxy/app.py", line 45, in __init__
    create_or_verify_database( db_url, kwargs.get( 'global_conf', {} 
).get( '__file__', None ), self.config.database_engine_options, app=self )
  File "galaxy-dev/lib/galaxy/model/migrate/check.py", line 46, in 
create_or_verify_database
    engine = create_engine( url, **engine_options )
  File 
"galaxy-dev/eggs/SQLAlchemy-0.5.6_dev_r6498-py2.6.egg/sqlalchemy/engine/__init__.py",
 
line 223, in create_engine
    return strategy.create(*args, **kwargs)
  File 
"galaxy-dev/eggs/SQLAlchemy-0.5.6_dev_r6498-py2.6.egg/sqlalchemy/engine/strategies.py",
 
line 121, in create
    engineclass.__name__))
TypeError: Invalid argument(s) 'server_side_cursors','max_overflow' sent 
to create_engine(), using configuration 
SQLiteDialect/SingletonThreadPool/TLEngine.  Please check that the keyword 
arguments are appropriate for this combination of components.
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:

  http://lists.bx.psu.edu/

Reply via email to